> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice document

> Returns the attached document for an invoice payable



## OpenAPI

````yaml /openapi-public.json get /v1/invoice-payables/{invoicePayableId}/document
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/invoice-payables/{invoicePayableId}/document:
    get:
      tags:
        - v1 - Invoice Payables
      summary: Get invoice document
      description: Returns the attached document for an invoice payable
      operationId: getInvoicePayableDocument
      parameters:
        - name: invoicePayableId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: documentType
          in: query
          schema:
            type: string
            description: >-
              ⚠️ This enum is not exhaustive; new values may be added in the
              future.
            enum:
              - ORIGINAL
              - GENERATED
      responses:
        default:
          description: default response
          content:
            application/pdf: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````